export interface Mappings {
    [index: string]: string | string[];
}
/**
 * source : https://www.key-shortcut.com/en/writing-systems/abc-latin-alphabet
 */
/**
 * overwrite or pass your own mappings.
 * existing mappings will be overwritten, else it'll be appended to defaults
 */
export interface StringOptions {
    mappings?: Mappings;
}
/**
 * RegExp flags, ium. Defaults to i
 */
export interface RegexOptions extends StringOptions {
    flags?: string;
    strong?: boolean;
    spaces?: boolean;
}
/** Generate a function that returns a RegExp, that can be reused with the same options */
export declare function stringToRegex(options?: RegexOptions): (input: string) => RegExp;
